## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Summary: A set of tools to gather troubleshooting information from a system
Name: sos
Version: 4.9.1
Release: %autorelease
Source0: https://github.com/sosreport/sos/archive/%{version}.tar.gz
License: GPL-2.0-only
BuildArch: noarch
Url: https://github.com/sosreport/sos
BuildRequires: python3-devel
BuildRequires: python3-setuptools
Requires: python3-pexpect
%if 0%{?rhel} && 0%{?rhel} < 10
Requires: python3-setuptools
%else
Requires: python3-packaging
%endif
Recommends: python3-file-magic
# Mandatory just for uploading to a SFTP server:
Recommends: python3-requests
Recommends: python3-pyyaml
Obsoletes: sos-collector <= 1.9
# For the _tmpfilesdir macro.
BuildRequires: systemd
# Mandatory just for uploading to an S3 bucket:
Recommends: python3-boto3
%if 0%{?fedora}
# Address duplicate man pages
BuildRequires:  fdupes
%endif


%description
Sos is a set of tools that gathers information about system
hardware and configuration. The information can then be used for
diagnostic purposes and debugging. Sos is commonly used to help
support technicians and developers.

%prep
%autosetup -p1 -n %{name}-%{version}

%if 0%{?fedora} >= 39
%generate_buildrequires
%pyproject_buildrequires
%endif

%build
%if 0%{?fedora} >= 39
%pyproject_wheel
%else
%py3_build
%endif

%check
# Nothing to check

%install
%if 0%{?fedora} >= 39
%pyproject_install
%pyproject_save_files sos
# files-duplicate: duplicate man pages detected
%fdupes %{buildroot}%{_mandir}
%else
%py3_install '--install-scripts=%{_sbindir}'
%endif

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m 700 %{buildroot}%{_sysconfdir}/%{name}/cleaner
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/presets.d
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/groups.d
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}/extras.d
install -d -m 755 %{buildroot}%{_tmpfilesdir}
install -m 644 %{name}.conf %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
install -m 644 tmpfiles/tmpfilesd-sos-rh.conf %{buildroot}%{_tmpfilesdir}/%{name}.conf

rm -rf %{buildroot}/usr/config/

%find_lang %{name} || echo 0

# internationalization is currently broken. Uncomment this line once fixed.
# %%files -f %%{name}.lang
%files
%if 0%{?fedora} >= 39
%{_bindir}/sos
%else
%{_sbindir}/sos
%endif
%dir /etc/sos
%dir /etc/sos/cleaner
%dir /etc/sos/presets.d
%dir /etc/sos/extras.d
%dir /etc/sos/groups.d
%{_tmpfilesdir}/%{name}.conf
%{python3_sitelib}/sos/
%{python3_sitelib}/sos-*info/
%{_mandir}/man1/*
%{_mandir}/man5/*
%doc AUTHORS README.md
%license LICENSE
%config(noreplace) %{_sysconfdir}/sos/sos.conf

%changelog
## START: Generated by rpmautospec
* Tue May 06 2025 Sandro Bonazzola <sbonazzo@redhat.com> - 4.9.1-1
- Rebased on upstream 4.9.1
- Resolves: fedora#2361785

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 16 2024 Sandro Bonazzola <sbonazzo@redhat.com> - 4.8.2-1
- Rebased on upstream 4.8.2
- Resolves: fedora#2332594
- Fix rpmlint warning on duplicate man pages

* Wed Oct 16 2024 Sandro Bonazzola <sbonazzo@redhat.com> - 4.8.1-1
- Rebased on upstream 4.8.1
- switch to autorelease/autochangelog
- Resolves: fedora#2319142

* Mon Sep 02 2024 Sandro Bonazzola <sbonazzo@redhat.com> - 4.8.0-1
- Rebased on upstream 4.8.0

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 24 2024 Sandro Bonazzola <sbonazzo@redhat.com> - 4.7.2-1
- Update to 4.7.2

* Mon Jun 17 2024 Sandro Bonazzola <sbonazzo@redhat.com> - 4.7.1-3
- Resolves: fedora#2292625

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 4.7.1-2
- Rebuilt for Python 3.13

* Mon Apr 08 2024 Sandro Bonazzola <sbonazzo@redhat.com> - 4.7.1-1
- Update to 4.7.1

* Tue Feb 20 2024 Sandro Bonazzola <sbonazzo@redhat.com> - 4.7.0-1
- Update to 4.7.0

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 11 2024 Sandro Bonazzola <sbonazzo@redhat.com> - 4.6.1-1
- Update to 4.6.1

* Mon Aug 21 2023 Sandro Bonazzola <sbonazzo@redhat.com> - 4.6.0-1
- Update to 4.6.0

* Mon Jul 24 2023 Sandro Bonazzola <sbonazzo@redhat.com> - 4.5.6-1
- Update to 4.5.6

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 27 2023 Python Maint <python-maint@redhat.com> - 4.5.5-2
- Rebuilt for Python 3.12

* Tue Jun 27 2023 Sandro Bonazzola <sbonazzo@redhat.com> - 4.5.5-1
- Update to 4.5.5

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 4.5.4-4
- Rebuilt for Python 3.12

* Thu Jun 01 2023 Sandro Bonazzola <sbonazzo@redhat.com> - 4.5.4-3
- Adapt to new Fedora packaging guidelines

* Mon May 29 2023 Sandro Bonazzola <sbonazzo@redhat.com> - 4.5.4-2
- Remove unneeded requirements

* Mon May 29 2023 Sandro Bonazzola <sbonazzo@redhat.com> - 4.5.4-1
- Update to 4.5.4

* Tue May 02 2023 Sandro Bonazzola <sbonazzo@redhat.com> - 4.5.3-1
- Update to 4.5.3

* Mon Apr 03 2023 Sandro Bonazzola <sbonazzo@redhat.com> - 4.5.2-1
- Update to 4.5.2

* Fri Mar 17 2023 Sandro Bonazzola <sbonazzo@redhat.com> - 4.5.1-2
- migrated to SPDX license

* Thu Mar 02 2023 Sandro Bonazzola <sbonazzo@redhat.com> - 4.5.1-1
- Update to 4.5.1

* Thu Feb 02 2023 Sandro Bonazzola <sbonazzo@redhat.com> - 4.5.0-1
- Update to 4.5.0

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 4.4-3
- Workaround distutils removal in Python 3.12 (#2154961)

* Wed Aug 24 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 4.4-2
- Add missing python modules in minimal install (#2120953)

* Tue Aug 23 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 4.4-1
- Update to 4.4 (#2118549)

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 4.3-3
- Rebuilt for Python 3.11

* Mon Feb 28 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 4.3-2
- add latest patched including fix for missing help plugin (bz#2058142)

* Wed Feb 16 2022 Sandro Bonazzola <sbonazzo@redhat.com> - 4.3-1
- Update to 4.3 (#2054895)

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 13 2021 Sandro Bonazzola <sbonazzo@redhat.com> - 4.2-1
- Update to 4.2 (#1994148)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 4.1-2
- Rebuilt for Python 3.10

* Wed Mar 10 2021 Sandro Bonazzola <sbonazzo@redhat.com> - 4.1-1
- Update to 4.1 (#1933183)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Sep 24 2020 Sandro Bonazzola <sbonazzo@redhat.com> - 4.0-2
- Fixes BZ#1882015

* Mon Sep 14 2020 Sandro Bonazzola <sbonazzo@redhat.com> - 4.0-1
- Update to 4.0 (#1869464)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 3.9.1-2
- Rebuilt for Python 3.9

* Sat Mar 28 2020 Sandro Bonazzola <sbonazzo@redhat.com> - 3.9.1-1
- Update to 3.9.1 (#1803339)

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Sep 02 2019 Sandro Bonazzola <sbonazzo@redhat.com> - 3.8-1
- Update to 3.8 (#1747060)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 3.7-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Mar 28 2019 Sandro Bonazzola <sbonazzo@redhat.com> - 3.7-1
- Rebase on upstream 3.7 Resolves: BZ#1693419

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 3.6-8
- Remove obsolete Group tag

* Wed Aug 29 2018 Jan Pokorný <jpokorny@redhat.com> - 3.6-7
- Use secure "https" URI scheme for Url field

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jun 25 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6-5
- Rebuilt for Python 3.7

* Mon Jun 25 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6-4
- use sha512

* Mon Jun 25 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6-3
- Upstream re-tagged the source package

* Mon Jun 25 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6-2
- added python3-six to build requirements

* Mon Jun 25 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 3.6-1
- Rebase on upstream 3.6 Resolves: BZ#1594443

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 3.5.1-3
- Rebuilt for Python 3.7

* Tue May 29 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.1-2
- wrong tarball uploaded in previous commit

* Tue May 29 2018 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5.1-1
- Rebase on upstream 3.5.1 Resolves: BZ#1583580

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Nov 14 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 3.5-1
- Rebase on upstream 3.5

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Mar 29 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 3.4-1
- Rebase on upstream 3.4

* Thu Feb 23 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 3.3-1
- Rebase on upstream 3.3
- Rebased on upstream 3.3
- Resolves: BZ#1411314

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <miro@hroncok.cz> - 3.2-12
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Dec 16 2015 Bryn M. Reeves <bmr@redhat.com> - 3.2-9
- Ensure private temporary directory is removed

* Wed Dec 16 2015 Bryn M. Reeves <bmr@redhat.com> - 3.2-8
- Build against python3 modules

* Wed Dec 16 2015 Bryn M. Reeves <bmr@redhat.com> - 3.2-7
- Update spec file for sos-3.2-1

* Wed Dec 16 2015 Bryn M. Reeves <bmr@redhat.com> - 3.2-6
- Update to upstream sos-3.2.tar.gz

* Tue Nov 10 2015 Peter Robinson <pbrobinson@fedoraproject.org> - 3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Jul 17 2015 Miro Hrončok <miro@hroncok.cz> - 3.2-4
- Use Python 3 (#1014595)

* Fri Jun 19 2015 Dennis Gilmore <dennis@ausil.us> - 3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 17 2014 Bryn M. Reeves <bmr@redhat.com> - 3.2-2
- Update sources for github tarball

* Tue Jun 17 2014 Bryn M. Reeves <bmr@redhat.com> - 3.2-1
- Update to upstream sos-3.2alpha1

* Sun Jun 08 2014 Dennis Gilmore <dennis@ausil.us> - 3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 01 2014 Bryn M. Reeves <bmr@redhat.com> - 3.1-1
- Update sos to 3.1

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> - 3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 10 2013 Bryn M. Reeves <bmr@redhat.com> - 3.0-2
- Silence 'could not run' messages at default verbosity

* Mon Jun 10 2013 Bryn M. Reeves <bmr@redhat.com> - 3.0-1
- New upstream release

* Fri Feb 15 2013 Dennis Gilmore <dennis@ausil.us> - 2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Dennis Gilmore <dennis@ausil.us> - 2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Bryn M. Reeves <bmr@errorists.org> - 2.2-6
- Update sos to 2.2-29

* Sat Jan 14 2012 Dennis Gilmore <dennis@ausil.us> - 2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-3
- dist-git conversion

* Thu Jul 22 2010 dmalcolm <dmalcolm@fedoraproject.org> - 2.2-2
- Rebuilt for
  https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu May 20 2010 Adam Stokes <astokes@fedoraproject.org> - 2.2-1
- plugin updates

* Wed Apr 28 2010 Adam Stokes <astokes@fedoraproject.org> - 2.1-1
- lots o bugfixes

* Fri Mar 26 2010 Adam Stokes <astokes@fedoraproject.org> - 1.9-2
- translation update

* Wed Feb 17 2010 Adam Stokes <astokes@fedoraproject.org> - 1.9-1
- version bump 1.9

* Mon Jan 18 2010 Adam Stokes <astokes@fedoraproject.org> - 1.8-18
- updates from fixes reported by rhbz, progressbar fixes

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 1.8-17
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Thu Nov 05 2009 Adam Stokes <astokes@fedoraproject.org> - 1.8-16
- translation update, multiprocessing, conf fixes

* Mon Sep 28 2009 Adam Stokes <astokes@fedoraproject.org> - 1.8-15
- resolves rhbz523274

* Mon Sep 14 2009 Adam Stokes <astokes@fedoraproject.org> - 1.8-14
- update translations, plugin/tunable support via conf file

* Mon Jul 27 2009 Jesse Keating <jkeating@fedoraproject.org> - 1.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 23 2009 Adam Stokes <astokes@fedoraproject.org> - 1.8-12
- fixes

* Mon Jul 20 2009 Adam Stokes <astokes@fedoraproject.org> - 1.8-11
- updated sources

* Mon Jul 20 2009 Adam Stokes <astokes@fedoraproject.org> - 1.8-10
- update spec

* Wed May 06 2009 Adam Stokes <astokes@fedoraproject.org> - 1.8-9
- remove instances of sysrq triggering

* Thu Feb 26 2009 Jesse Keating <jkeating@fedoraproject.org> - 1.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Adam Stokes <astokes@fedoraproject.org> - 1.8-7
- resolves bz434626, bz436053

* Mon Jan 12 2009 Adam Stokes <astokes@fedoraproject.org> - 1.8-6
- updated spec to include python egg

* Mon Jan 12 2009 Adam Stokes <astokes@fedoraproject.org> - 1.8-5
- Resolves: bz459845 collect krb5.conf - Resolves: bz457880 include output
  of xm list and xm list --long - Resolves: bz457919 add support for
  openswan and ipsec-tools - Resolves: bz456378 capture elilo configuration
  - Resolves: bz445007 s390 support - Resolves: bz371251 hangs when running
  with a xen kernel where xend has not been started - Resolves: bz452705
  Add /root/anaconda-ks-cfg to sosreport archive - Resolves: bz445510 Do
  not rely on env to execute python - Resolves: bz446868 add support for
  emc devices - Resolves: bz453797 fails to generate fdisk -l - Resolves:
  bz433183 does not collect ext3 information - Resolves: bz444838 systool
  is passed deprecated arguments - Resolves: bz455096 add
  %%{INSTALLTIME:date} to rpm --qf collection - Resolves: bz332211 avoid
  hazardous filenames

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazquez@fedoraproject.org> - 1.8-4
- Rebuild for Python 2.6

* Thu Sep 04 2008 Tom Callaway <spot@fedoraproject.org> - 1.8-3
- fix package

* Thu Sep 04 2008 Tom Callaway <spot@fedoraproject.org> - 1.8-2
- fix license tag

* Thu Dec 13 2007 Navid Sheikhol-Eslami <navid@fedoraproject.org> - 1.8-1
- *** empty log message ***

* Sat Sep 15 2007 Navid Sheikhol-Eslami <navid@fedoraproject.org> - 1.6-1
- initial cvs import of sos project
## END: Generated by rpmautospec
